/* global registerBackward, DataProviderFacade, BackwardUtility */

registerBackward('3.19.0', 'Theme', function (theme) {
    'use strict';

    theme.info = BackwardUtility.getControlObject('ThemeInfo');

    // set defaults
    if (DataProviderFacade.getCmsInfo().cmsName === 'WordPress') {
        theme.info.tags = 'fixed-width, left-sidebar, two-columns, valid HTML5, widgets';
        theme.info.description = 'Themler-generated theme';
    } else if (DataProviderFacade.getCmsInfo().cmsName === 'PrestaShop') {
        theme.info.author = 'Themler';
        theme.info.authorURL = 'http://themler.com/';
    } else if (DataProviderFacade.getCmsInfo().cmsName === 'Drupal') {
        theme.info.description = 'Themler-generated theme';
    }

    return theme;
});